io.etcd.jetcd.api

## Class MaintenanceGrpc

- java.lang.Object
- - io.etcd.jetcd.api.MaintenanceGrpc

    @Generated(value="by gRPC proto compiler (version 1.27.1)",
               comments="Source: rpc.proto")
    public final class MaintenanceGrpc
    extends Object

### Nested Class Summary

Nested Classes
`static class` `MaintenanceGrpc.MaintenanceBlockingStub`
`static class` `MaintenanceGrpc.MaintenanceFutureStub`
`static class` `MaintenanceGrpc.MaintenanceImplBase`
`static class` `MaintenanceGrpc.MaintenanceStub`

### Field Summary

Fields
`static String` `SERVICE_NAME`

### Method Summary

All Methods Static Methods Concrete Methods
`static io.grpc.MethodDescriptor<AlarmRequest,AlarmResponse>` `getAlarmMethod()`
`static io.grpc.MethodDescriptor<DefragmentRequest,DefragmentResponse>` `getDefragmentMethod()`
`static io.grpc.MethodDescriptor<HashKVRequest,HashKVResponse>` `getHashKVMethod()`
`static io.grpc.MethodDescriptor<HashRequest,HashResponse>` `getHashMethod()`
`static io.grpc.MethodDescriptor<MoveLeaderRequest,MoveLeaderResponse>` `getMoveLeaderMethod()`
`static io.grpc.ServiceDescriptor` `getServiceDescriptor()`
`static io.grpc.MethodDescriptor<SnapshotRequest,SnapshotResponse>` `getSnapshotMethod()`
`static io.grpc.MethodDescriptor<StatusRequest,StatusResponse>` `getStatusMethod()`
`static MaintenanceGrpc.MaintenanceBlockingStub` `newBlockingStub(io.grpc.Channel channel)` Creates a new blocking-style stub that supports unary and streaming output calls on the service
`static MaintenanceGrpc.MaintenanceFutureStub` `newFutureStub(io.grpc.Channel channel)` Creates a new ListenableFuture-style stub that supports unary calls on the service
`static MaintenanceGrpc.MaintenanceStub` `newStub(io.grpc.Channel channel)` Creates a new async stub that supports all call types for the service

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### SERVICE_NAME

    public static final String SERVICE_NAME

See Also:
  Constant Field Values

### Method Detail

#### getAlarmMethod

    public static io.grpc.MethodDescriptor<AlarmRequest,AlarmResponse> getAlarmMethod()

#### getStatusMethod

    public static io.grpc.MethodDescriptor<StatusRequest,StatusResponse> getStatusMethod()

#### getDefragmentMethod

    public static io.grpc.MethodDescriptor<DefragmentRequest,DefragmentResponse> getDefragmentMethod()

#### getHashMethod

    public static io.grpc.MethodDescriptor<HashRequest,HashResponse> getHashMethod()

#### getHashKVMethod

    public static io.grpc.MethodDescriptor<HashKVRequest,HashKVResponse> getHashKVMethod()

#### getSnapshotMethod

    public static io.grpc.MethodDescriptor<SnapshotRequest,SnapshotResponse> getSnapshotMethod()

#### getMoveLeaderMethod

    public static io.grpc.MethodDescriptor<MoveLeaderRequest,MoveLeaderResponse> getMoveLeaderMethod()

#### newStub

    public static MaintenanceGrpc.MaintenanceStub newStub(io.grpc.Channel channel)

Creates a new async stub that supports all call types for the service

#### newBlockingStub

    public static MaintenanceGrpc.MaintenanceBlockingStub newBlockingStub(io.grpc.Channel channel)

Creates a new blocking-style stub that supports unary and streaming output calls on the service

#### newFutureStub

    public static MaintenanceGrpc.MaintenanceFutureStub newFutureStub(io.grpc.Channel channel)

Creates a new ListenableFuture-style stub that supports unary calls on the service

#### getServiceDescriptor

    public static io.grpc.ServiceDescriptor getServiceDescriptor()